漏洞信息详情

Linux kernel 'pppol2tp_xmit'函数输入验证错误漏洞

  • CNNVD编号:CNNVD-201009-046
  • 危害等级: 超危
  • CVE编号: CVE-2010-2495
  • 漏洞类型: 代码问题
  • 发布时间: 2010-06-23
  • 威胁类型: 远程
  • 更新时间: 2020-08-06
  • 厂        商: linux
  • 漏洞来源:

漏洞简介

Linux kernel是美国Linux基金会发布的开源操作系统Linux所使用的内核。NFSv4 implementation是其中的一个分布式文件系统协议。

Linux kernel 2.6.34之前版本中的L2TP功能的drivers/net/pppol2tp.c文件中的pppol2tp_xmit函数不能正确验证与接口有关的某些值。攻击者可以借助与路由改变有关的向量导致拒绝服务(空指针解引用和OOPS),也可能引起其他未明影响。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=3feec9095d12e311b7d4eb7fe7e5dfa75d4a72a5

参考网址

来源:SUSE

链接:http://lists.opensuse.org/opensuse-security-announce/2010-08/msg00000.html

来源:CONFIRM

链接:https://bugzilla.redhat.com/show_bug.cgi?id=607054

来源:UBUNTU

链接:http://www.ubuntu.com/usn/USN-1000-1

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2010/06/23/3

来源:CONFIRM

链接:http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=3feec9095d12e311b7d4eb7fe7e5dfa75d4a72a5

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2010/07/06/11

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2010/07/04/2

来源:CONFIRM

链接:http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.34

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2010/07/04/3

漏洞信息快速查询

相关漏洞

更多